## heimdal 1.4.0~git20100605.dfsg.1

=== debian/changelog ===
heimdal (1.4.0~git20100605.dfsg.1-2) unstable; urgency=low

  * Include updated Danish (da) debconf translations (closes: #585575).
  * Removing dangling symlinks to windc.so (closes: #577229).
  * Do not set -e in init.d script (closes: #574425).

 -- Brian May <bam@debian.org>  Thu, 17 Jun 2010 14:57:18 +1000

heimdal (1.4.0~git20100605.dfsg.1-1) unstable; urgency=low

  * New upstream version.
      * Git version abd5fdab5a7e189ef3f9c6aeafcebf94ddde157d.
      * Check the GSS-API checksum exists before trying to use
        it [CVE-2010-1321].

 -- Brian May <bam@debian.org>  Sat, 05 Jun 2010 10:31:49 +1000

heimdal (1.4.0~git20100322.dfsg.2-4) unstable; urgency=low

  * Add a db_stop before automatically-added debhelper parts (Closes: #579127).

 -- Brian May <bam@debian.org>  Wed, 28 Apr 2010 15:18:46 +1000

heimdal (1.4.0~git20100322.dfsg.2-3) unstable; urgency=low

  * Add depends on libwind0-heimdal to heimdal-multidev.

 -- Brian May <bam@debian.org>  Tue, 13 Apr 2010 15:25:48 +1000

heimdal (1.4.0~git20100322.dfsg.2-2) unstable; urgency=low

  * Fix watch file to properly mangle upstream release candidate
    versions (closes: #575872).

 -- Brian May <bam@debian.org>  Thu, 08 Apr 2010 15:07:30 +1000

heimdal (1.4.0~git20100322.dfsg.2-1) unstable; urgency=low

  * Remove non-free RFCs again. Somehow the change went missing from the script
  in debian/scripts/convert_source.

 -- Brian May <bam@debian.org>  Mon, 22 Mar 2010 15:42:05 +1100

heimdal (1.4.0~git20100322.dfsg.1-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 22 Mar 2010 13:03:56 +1100

heimdal (1.4.0~git20100221.dfsg.2-3) unstable; urgency=low

  * Remove yucky comerr backport, requires libcomerr2 version 1.41.11-1
    or higher.
  * Rework debian/patches, make similar to prio 1.4.0 versions.
  * Add package-name-doesnt-match-sonames overrides for all shared libraries
    as discussed in #574572.
  * Update configure so it detects libedit library (closes: #574700).

 -- Brian May <bam@debian.org>  Sun, 21 Mar 2010 11:16:57 +1100

heimdal (1.4.0~git20100221.dfsg.2-2) unstable; urgency=low

  * Fix shlibs versions.

 -- Brian May <bam@debian.org>  Fri, 19 Mar 2010 16:46:43 +1100

heimdal (1.4.0~git20100221.dfsg.2-1) unstable; urgency=low

  * Last upload went to unstable by mistake. Lets not panic, this version
  should work fine...
  * Remove nonfree RFCs from source code (closes: #574431).
  * Add iprop-log and man page (closes: #574424).

 -- Brian May <bam@debian.org>  Fri, 19 Mar 2010 13:33:35 +1100

heimdal (1.4.0~git20100221.dfsg.1-2) experimental; urgency=low
  * Update debshlibs dependancies. Anything compiled against the
    version of Heimdal in experimental will require the libraries from
    experimental. May not strictly be required for all libraries, but
    better be safe then sorry.
  * This also will resolves a bug for the experimental version that has
    already been solved in stable (closes: 571206).

 -- Brian May <bam@debian.org>  Wed, 17 Mar 2010 12:11:51 +1100

heimdal (1.4.0~git20100221.dfsg.1-1) experimental; urgency=low

  * New upstream snapshot.
   + Exports more symbols. Closes: #563275
  * Bump standards version to 3.8.4.
  * Non-maintainer upload, acked by Brian.
  * Document how the dfsg-compatible version is created. Closes: #570413

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 20 Feb 2010 17:54:44 +0100

heimdal (1.3.1.rc2.dfsg.1-2) unstable; urgency=low

  * heimdal-kdc: Change depends on logrotate to a recommends; while
  functionality will be lost if logrotate isn't installed, it won't cause
  the sky to fall (closes: #565115). Not in my lifetime anyway.
  * Update watch files (closes: #568340).
  * Update my email address.

 -- Brian May <bam@debian.org>  Thu, 04 Feb 2010 14:42:55 +1100

heimdal (1.3.1.rc2.dfsg.1-1) unstable; urgency=low

  * New upstream package.
  * Include heimdal-dbg (closes: #561940).
  * Apply patch to fix segfaults (closes: #561850).

 -- Brian May <bam@snoopy.debian.net>  Tue, 05 Jan 2010 10:33:29 +1100

heimdal (1.3.1.dfsg.1-6) unstable; urgency=low

  * Remove references to quilt from debian/rules (closes: #561401).

 -- Brian May <bam@snoopy.debian.net>  Fri, 18 Dec 2009 14:13:16 +1100

heimdal (1.3.1.dfsg.1-5) unstable; urgency=low

  * Increase soname for libkrb5, after version symbols changed
    (closes: #560216).

 -- Brian May <bam@snoopy.debian.net>  Tue, 15 Dec 2009 10:35:39 +1100

heimdal (1.3.1.dfsg.1-4) unstable; urgency=low

  * heimdal-dev: remove dependancy on heimsqlite library.
  * heimdal-dev: remove symlinks to heimsqlite library.
  * Build against libedit-dev that comes with Debian (closes: #559910).

 -- Brian May <bam@snoopy.debian.net>  Tue, 08 Dec 2009 10:27:10 +1100

heimdal (1.3.1.dfsg.1-3) unstable; urgency=low

  * Build against sqlite3 library (closes: #559616).
  * Remove heimsqlite library as it isn't built anymore.

 -- Brian May <bam@snoopy.debian.net>  Mon, 07 Dec 2009 14:44:21 +1100

heimdal (1.3.1.dfsg.1-2) unstable; urgency=low

  * Don't fail if /usr/share/info/dir can't be deleted (closes: #552677).
    Really make the change this time.
  * Fix glaring errors on previous two changelog entries. We are still
    using new source format. Previous version fixed lintian warnings.
  * Really build against openldap (closes: #559730).

 -- Brian May <bam@snoopy.debian.net>  Mon, 07 Dec 2009 09:19:33 +1100

heimdal (1.3.1.dfsg.1-1) unstable; urgency=low

  * New upstream release (closes: #557716).
  * Discard patches that don't apply cleanly on assumption they have been
    integrated upstream already.
  * Increase soname for libhx509 to 5.
  * Replace symlinks to dirs with real directories (closes: #550646).
  * New heimsqlite library.
  * Fix lintian warnings:
    * heimdal-kdc: don't fail if /etc/default/heimdal-kdc doesn't exist.
    * heimdal-kdc: override permissions warning on /var/lib/heimdal-kdc.

 -- Brian May <bam@snoopy.debian.net>  Tue, 01 Dec 2009 09:44:23 +1100


