## heimdal 1.4.0~git20100726.dfsg.1

=== debian/changelog ===
heimdal (1.4.0~git20100726.dfsg.1-2+squeeze1) squeeze-security; urgency=high

  * Apply patch from FreeBSD to fix CVE-2011-4862

 -- Florian Weimer <fw@deneb.enyo.de>  Sun, 25 Dec 2011 14:40:48 +0100

heimdal (1.4.0~git20100726.dfsg.1-2) stable; urgency=low

  * NFS needs same dispensation to use DES as AFS (closes: #629276).

 -- Brian May <bam@debian.org>  Mon, 20 Jun 2011 13:40:15 +1000

heimdal (1.4.0~git20100726.dfsg.1-1) unstable; urgency=low

  * New upstream version.
  * Update standards version to 3.9.0.

 -- Brian May <bam@debian.org>  Mon, 26 Jul 2010 15:19:37 +1000

heimdal (1.4.0~git20100605.dfsg.1-3) unstable; urgency=low

  * Retry remove dangling symlinks to windc.so (closes: #577229).
  * Also remove windc.la and windc.a, as they would appear to be pointless.

 -- Brian May <bam@debian.org>  Thu, 01 Jul 2010 15:16:02 +1000
