=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Brian May <bam@debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://www.h5l.org/
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Build-Depends: libncurses5-dev, bison, flex, debhelper (>= 7), libx11-dev, libxau-dev, libxt-dev, x11proto-core-dev, libedit-dev, libdb-dev, libssl-dev (>= 0.9.7), cdbs, libhesiod-dev, comerr-dev (>= 1.41.11), libldap2-dev, ss-dev, texinfo, python, libsqlite3-dev
 Build-Conflicts: heimdal-dev
