=== debian/rules ===
--- 
+++ 
@@ -40,38 +40,88 @@
 
 clean::
 	# clean files not cleaned by make file
+	rm -f appl/ftp/ftpd/ftpcmd.c
+	rm -f appl/login/login-protos.h
+	rm -f appl/rsh/limits_conf.c
 	rm -f appl/rsh/login_access.c
-#	rm -f appl/rsh/rsh.cat1
-#	rm -f include/kadm5/*.h
-#	rm -f include/version.h.in
-#	rm -f krb5/libkrb5.ver
-#	rm -f lib/com_err/Makefile
+	rm -f config.log
+	rm -f doc/heimdal.info
+	rm -f doc/hx509.info
+	rm -f include/asn1-common.h
+	rm -f include/asn1-template.h
+	rm -f include/crmf_asn1.h
+	rm -f include/der-private.h
+	rm -f include/heim-ipc.h
+	rm -f include/ocsp_asn1.h
+	rm -f include/pkcs10_asn1.h
+	rm -f kcm/kcm-protos.h
+	rm -f kdc/kdc-private.h
+	rm -f kdc/kdc-protos.h
+	rm -f lib/asn1/asn1_DHParameter.x
+	rm -f lib/asn1/asn1_err.c
+	rm -f lib/asn1/asn1_err.h
+	rm -f lib/asn1/asn1parse.c
+	rm -f lib/asn1/asn1parse.h
+	rm -f lib/asn1/cms_asn1-priv.h
+	rm -f lib/asn1/cms_asn1-priv.hx
+	rm -f lib/asn1/der-private.h
+	rm -f lib/asn1/der-protos.h
+	rm -f lib/asn1/digest_asn1-priv.h
+	rm -f lib/asn1/digest_asn1-priv.hx
+	rm -f lib/asn1/krb5_asn1-priv.h
+	rm -f lib/asn1/krb5_asn1-priv.hx
+	rm -f lib/asn1/kx509_asn1-priv.h
+	rm -f lib/asn1/kx509_asn1-priv.hx
+	rm -f lib/asn1/lex.c
+	rm -f lib/asn1/pkcs12_asn1-priv.h
+	rm -f lib/asn1/pkcs12_asn1-priv.hx
+	rm -f lib/asn1/pkcs8_asn1-priv.h
+	rm -f lib/asn1/pkcs8_asn1-priv.hx
+	rm -f lib/asn1/pkcs9_asn1-priv.h
+	rm -f lib/asn1/pkcs9_asn1-priv.hx
+	rm -f lib/asn1/pkinit_asn1-priv.h
+	rm -f lib/asn1/pkinit_asn1-priv.hx
+	rm -f lib/asn1/rfc2459_asn1-priv.h
+	rm -f lib/asn1/rfc2459_asn1-priv.hx
+	rm -f lib/asn1/test_asn1-priv.h
+	rm -f lib/asn1/test_asn1-priv.hx
 	rm -f lib/com_err/snprintf.c
 	rm -f lib/com_err/strlcpy.c
-#	rm -f lib/des/Makefile
-#	rm -f lib/editline/Makefile
-#	rm -f lib/krb5/libkrb5.ver
-#	rm -f lib/otp/snprintf.c
-#	rm -f lib/otp/strcasecmp.c
-#	rm -f lib/otp/strlcat.c
-#	rm -f lib/otp/strlcpy.c
-#	rm -f lib/otp/strlwr.c
-#	rm -f lib/otp/strncasecmp.c
-#	rm -f lib/sl/slc-gram.c
-#	rm -f lib/sl/slc-gram.h
-#	rm -f lib/sl/slc-lex.c
-	rm -f appl/ftp/ftpd/ftpcmd.c
-#	rm -f lib/otp/ndbm_wrap.c
-#	rm -f lib/otp/ndbm_wrap.h
-
-#	rm -f lib/wind/*.pyc
-	rm -f doc/heimdal.info
+	rm -f lib/gssapi/gssapi_asn1-priv.h
+	rm -f lib/gssapi/gssapi_asn1-priv.hx
+	rm -f lib/gssapi/gssapi_asn1-template.c
+	rm -f lib/gssapi/krb5/gsskrb5-private.h
+	rm -f lib/gssapi/ntlm/ntlm-private.h
+	rm -f lib/gssapi/spnego_asn1-priv.h
+	rm -f lib/gssapi/spnego_asn1-priv.hx
+	rm -f lib/gssapi/spnego_asn1-template.c
+	rm -f lib/gssapi/spnego/spnego-private.h
+	rm -f lib/hdb/hdb-private.h
+	rm -f lib/hdb/hdb-protos.h
+	rm -f lib/hx509/hx509-private.h
+	rm -f lib/hx509/hx509-protos.h
 	rm -f lib/hx509/sel-gram.c
-#	rm -f lib/roken/roken-glob.h
-
+	rm -f lib/kadm5/kadm5-private.h
+	rm -f lib/kadm5/kadm5-protos.h
+	rm -f lib/krb5/krb5-private.h
+	rm -f lib/krb5/krb5-protos.h
+	rm -f lib/ntlm/heimntlm-protos.h
 	rm -f lib/sl/slc-gram.c
 	rm -f lib/sl/slc-gram.h
 	rm -f lib/sl/slc-lex.c
+	rm -f lib/wind/bidi_table.c
+	rm -f lib/wind/bidi_table.h
+	rm -f lib/wind/combining_table.c
+	rm -f lib/wind/combining_table.h
+	rm -f lib/wind/errorlist_table.c
+	rm -f lib/wind/errorlist_table.h
+	rm -f lib/wind/map_table.c
+	rm -f lib/wind/map_table.h
+	rm -f lib/wind/normalize_table.c
+	rm -f lib/wind/normalize_table.h
+	rm -f lib/wind/*.pyc
+
+
 
 binary-post-install/heimdal-dev::
 	for l in `find debian/tmp/usr/include -type d -printf "%P\n"`; do \
@@ -92,6 +142,7 @@
 	rm -f debian/heimdal-dev/usr/lib/libss.a
 	rm -f debian/heimdal-dev/usr/lib/libss.la
 	rm -f debian/heimdal-dev/usr/lib/libss.so
+	rm -f debian/heimdal-dev/usr/lib/windc.la
 	# remove libtool recursive linking mess
 	sed -i "/dependency_libs/ s/'.*'/''/" debian/heimdal-dev/usr/lib/*.la
 
@@ -103,6 +154,8 @@
 	rm -f debian/heimdal-multidev/usr/lib/heimdal/libss.a
 	rm -f debian/heimdal-multidev/usr/lib/heimdal/libss.so
 	rm -f debian/heimdal-multidev/usr/lib/heimdal/windc.so
+	rm -f debian/heimdal-multidev/usr/lib/heimdal/windc.a
+	# rewrite symlinks to symlinks to point directly to file
 	for l in debian/heimdal-multidev/usr/lib/heimdal/*.so; do \
 		ln -s  -f ../`readlink $$l` $$l ; \
 		done
@@ -139,12 +192,3 @@
 	mv debian/heimdal-clients/usr/bin/rsh debian/heimdal-clients/usr/bin/krsh
 	mv debian/heimdal-clients/usr/bin/rcp debian/heimdal-clients/usr/bin/krcp
 	mv debian/heimdal-clients/usr/bin/pagsh debian/heimdal-clients/usr/bin/kpagsh
-	mv debian/heimdal-clients/usr/bin/su debian/heimdal-clients/usr/bin/ksu
-	mv debian/heimdal-clients/usr/share/man/man1/rsh.1 debian/heimdal-clients/usr/share/man/man1/krsh.1
-	mv debian/heimdal-clients/usr/share/man/man1/rcp.1 debian/heimdal-clients/usr/share/man/man1/krcp.1
-	mv debian/heimdal-clients/usr/share/man/man1/pagsh.1 debian/heimdal-clients/usr/share/man/man1/kpagsh.1
-	mv debian/heimdal-clients/usr/share/man/man1/su.1 debian/heimdal-clients/usr/share/man/man1/ksu.1
-
-binary-post-install/heimdal-docs::
-	mv debian/heimdal-docs/usr/share/man/man5/krb5.conf.5 debian/heimdal-docs/usr/share/man/man5/krb5.conf.5heimdal
-	rm -f debian/heimdal-docs/usr/share/info/dir
