## heimdal 1.4.0

=== debian/changelog ===
heimdal (1.4.0-8) unstable; urgency=low

  * Multiarch support.

    In heimdal-multidev, move libraries from /usr/lib/heimdal to
    /usr/lib/<triplet>/heimdal.

    In heimdal-dev, move symlinks from /usr/lib to /usr/lib/<triplet>.

 -- Brian May <bam@debian.org>  Wed, 06 Jul 2011 15:05:25 +1000

heimdal (1.4.0-7) unstable; urgency=low

  * NFS needs same dispensation to use DES as AFS (closes: #629276).

 -- Brian May <bam@debian.org>  Tue, 07 Jun 2011 12:29:45 +1000

heimdal (1.4.0-6) unstable; urgency=low

  * Fix AFS support (closes: #627947), was broken by patches for
    The Hurd in version 1.4.0.
  * Remove ignored configure flags in debian/rules.

 -- Brian May <bam@debian.org>  Sun, 29 May 2011 17:02:16 +1000

heimdal (1.4.0-5) unstable; urgency=low

  * Fix segfaults in kcm by upstream patches (closes: #618992).
  * Remove *.la files (closes: #621340).

 -- Brian May <bam@debian.org>  Thu, 07 Apr 2011 11:24:49 +1000

heimdal (1.4.0-4) unstable; urgency=low

  * Apply patches for The Hurd (closes: #483281).

 -- Brian May <bam@debian.org>  Thu, 24 Feb 2011 10:43:05 +1100

heimdal (1.4.0-3) unstable; urgency=low

  * Make versioned depends for libkafs0-heimdal (closes: #613730).

 -- Brian May <bam@debian.org>  Mon, 21 Feb 2011 11:31:48 +1100

heimdal (1.4.0-2) unstable; urgency=low

  * Fix description of heimdal-dbg package (closes: #605663).
  * Fix FTBFS with ld --no-add-needed (closes: 607589).

 -- Brian May <bam@debian.org>  Thu, 30 Dec 2010 11:20:11 +1100

heimdal (1.4.0-1) unstable; urgency=low

  * New upstream version.
  * Update standards version to 3.9.1.
  * Rewrite debian/rules clean list.

 -- Brian May <bam@debian.org>  Tue, 02 Nov 2010 12:03:56 +1100
