=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Brian May <bam@debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://www.h5l.org/
-Standards-Version: 3.9.0
-Build-Depends: libncurses5-dev, bison, flex, debhelper (>= 7), libx11-dev, libxau-dev, libxt-dev, x11proto-core-dev, libedit-dev, libdb-dev, libssl-dev (>= 0.9.7), cdbs, libhesiod-dev, comerr-dev (>= 1.41.11), libldap2-dev, ss-dev, texinfo, python, libsqlite3-dev
+Standards-Version: 3.9.1
+Build-Depends: libncurses5-dev, bison, flex, debhelper (>= 8.1.3), libx11-dev, libxau-dev, libxt-dev, x11proto-core-dev, libedit-dev, libdb-dev, libssl-dev (>= 0.9.7), cdbs (>= 0.4.93), libhesiod-dev, comerr-dev (>= 1.41.11), libldap2-dev, ss-dev, texinfo, python, libsqlite3-dev
 Build-Conflicts: heimdal-dev
 
 Package: heimdal-docs
@@ -150,7 +150,7 @@
 Architecture: any
 Section: debug
 Depends: ${shlibs:Depends}, ${misc:Depends}, libkrb5-26-heimdal (= ${binary:Version})
-Description: Heimdal Kerberos - key distribution center (KDC)
+Description: Heimdal Kerberos - debugging symbols
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
  .
@@ -159,6 +159,8 @@
 Package: libasn1-8-heimdal
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Heimdal Kerberos - ASN.1 library
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -169,6 +171,8 @@
 Package: libkrb5-26-heimdal
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Heimdal Kerberos - libraries
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -179,6 +183,8 @@
 Package: libhdb9-heimdal
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: heimdal-lib (<< 0.3e-5)
 Conflicts: heimdal-libs (<< 0.3e-5)
@@ -191,6 +197,8 @@
 Package: libkadm5srv8-heimdal
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Libraries for Heimdal Kerberos
  Heimdal is a free implementation of Kerberos 5, that aims to be
@@ -201,6 +209,8 @@
 Package: libkadm5clnt7-heimdal
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Heimdal Kerberos - kadmin client library
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -212,6 +222,8 @@
 Section: libs
 Architecture: any
 Conflicts: libgssapi2
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Heimdal Kerberos - GSSAPI support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -223,6 +235,8 @@
 Section: libs
 Priority: extra
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Heimdal Kerberos - KAFS support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -234,6 +248,8 @@
 Section: libs
 Priority: extra
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Heimdal Kerberos - roken support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -245,7 +261,9 @@
 Section: libs
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Conflicts: libotp0-kerberos4kth
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Heimdal Kerberos - OTP support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -258,6 +276,8 @@
 Priority: extra
 Architecture: any
 Conflicts: libsl0-kerberos4kth
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Heimdal Kerberos - SL support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -269,6 +289,8 @@
 Section: libs
 Priority: extra
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Heimdal Kerberos - KDC support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -278,6 +300,8 @@
 Section: libs
 Priority: extra
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Heimdal Kerberos - X509 support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -287,6 +311,8 @@
 Section: libs
 Priority: extra
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Heimdal Kerberos - NTLM support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -296,6 +322,8 @@
 Section: libs
 Priority: extra
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Heimdal Kerberos - NTLM support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
