=== debian/rules ===
--- 
+++ 
@@ -18,16 +18,15 @@
 DEB_DH_MAKESHLIBS_ARGS_libheimntlm0-heimdal = -V"libheimntlm0-heimdal (>= 1.4.0~git20100221.dfsg.2-1)"
 DEB_DH_MAKESHLIBS_ARGS_libroken18-heimdal = -V"libroken18-heimdal (>= 1.4.0~git20100221.dfsg.2-1)"
 DEB_DH_MAKESHLIBS_ARGS_libwind0-heimdal = -V"libwind0-heimdal (>= 1.4.0~git20100221.dfsg.2-1)"
+DEB_DH_MAKESHLIBS_ARGS_libkafs0-heimdal = -V"libkafs0-heimdal (>= 1.4.0~git20100221.dfsg.2-1)"
 
 DEB_DH_INSTALL_SOURCEDIR = debian/tmp
 
 DEB_CONFIGURE_LIBEXECDIR ="\$${prefix}/sbin"
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
+	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	--enable-shared \
-	--with-kaserver \
-	--with-roken=/usr \
-	--without-des \
 	--with-openldap=/usr \
 	--with-sqlite3=/usr \
 	--with-readline-include=/usr/include/editline \
@@ -44,57 +43,20 @@
 	rm -f appl/login/login-protos.h
 	rm -f appl/rsh/limits_conf.c
 	rm -f appl/rsh/login_access.c
-	rm -f config.log
 	rm -f doc/heimdal.info
 	rm -f doc/hx509.info
-	rm -f include/asn1-common.h
-	rm -f include/asn1-template.h
-	rm -f include/crmf_asn1.h
-	rm -f include/der-private.h
-	rm -f include/heim-ipc.h
-	rm -f include/ocsp_asn1.h
-	rm -f include/pkcs10_asn1.h
 	rm -f kcm/kcm-protos.h
 	rm -f kdc/kdc-private.h
 	rm -f kdc/kdc-protos.h
-	rm -f lib/asn1/asn1_DHParameter.x
-	rm -f lib/asn1/asn1_err.c
-	rm -f lib/asn1/asn1_err.h
 	rm -f lib/asn1/asn1parse.c
 	rm -f lib/asn1/asn1parse.h
-	rm -f lib/asn1/cms_asn1-priv.h
-	rm -f lib/asn1/cms_asn1-priv.hx
 	rm -f lib/asn1/der-private.h
 	rm -f lib/asn1/der-protos.h
-	rm -f lib/asn1/digest_asn1-priv.h
-	rm -f lib/asn1/digest_asn1-priv.hx
-	rm -f lib/asn1/krb5_asn1-priv.h
-	rm -f lib/asn1/krb5_asn1-priv.hx
-	rm -f lib/asn1/kx509_asn1-priv.h
-	rm -f lib/asn1/kx509_asn1-priv.hx
 	rm -f lib/asn1/lex.c
-	rm -f lib/asn1/pkcs12_asn1-priv.h
-	rm -f lib/asn1/pkcs12_asn1-priv.hx
-	rm -f lib/asn1/pkcs8_asn1-priv.h
-	rm -f lib/asn1/pkcs8_asn1-priv.hx
-	rm -f lib/asn1/pkcs9_asn1-priv.h
-	rm -f lib/asn1/pkcs9_asn1-priv.hx
-	rm -f lib/asn1/pkinit_asn1-priv.h
-	rm -f lib/asn1/pkinit_asn1-priv.hx
-	rm -f lib/asn1/rfc2459_asn1-priv.h
-	rm -f lib/asn1/rfc2459_asn1-priv.hx
-	rm -f lib/asn1/test_asn1-priv.h
-	rm -f lib/asn1/test_asn1-priv.hx
 	rm -f lib/com_err/snprintf.c
 	rm -f lib/com_err/strlcpy.c
-	rm -f lib/gssapi/gssapi_asn1-priv.h
-	rm -f lib/gssapi/gssapi_asn1-priv.hx
-	rm -f lib/gssapi/gssapi_asn1-template.c
 	rm -f lib/gssapi/krb5/gsskrb5-private.h
 	rm -f lib/gssapi/ntlm/ntlm-private.h
-	rm -f lib/gssapi/spnego_asn1-priv.h
-	rm -f lib/gssapi/spnego_asn1-priv.hx
-	rm -f lib/gssapi/spnego_asn1-template.c
 	rm -f lib/gssapi/spnego/spnego-private.h
 	rm -f lib/hdb/hdb-private.h
 	rm -f lib/hdb/hdb-protos.h
@@ -121,9 +83,16 @@
 	rm -f lib/wind/normalize_table.h
 	rm -f lib/wind/*.pyc
 
-
-
 binary-post-install/heimdal-dev::
+	mkdir -p debian/heimdal-dev/usr/lib/$(DEB_HOST_MULTIARCH)
+	for l in debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.a; do \
+		j=`basename $$l` ; \
+		ln -s  -f heimdal/$$j debian/heimdal-dev/usr/lib/$$j ; \
+		done
+	for l in debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so; do \
+		j=`basename $$l` ; \
+		ln -s  -f heimdal/$$j debian/heimdal-dev/usr/lib/$$j ; \
+		done
 	for l in `find debian/tmp/usr/include -type d -printf "%P\n"`; do \
 		mkdir "debian/heimdal-dev/usr/include/$$l"; \
 		done
@@ -139,27 +108,30 @@
 	rm -f debian/heimdal-dev/usr/bin/mk_cmds
 	rm -f debian/heimdal-dev/usr/include/fnmatch.h
 	# remove unwanted files
-	rm -f debian/heimdal-dev/usr/lib/libss.a
-	rm -f debian/heimdal-dev/usr/lib/libss.la
-	rm -f debian/heimdal-dev/usr/lib/libss.so
-	rm -f debian/heimdal-dev/usr/lib/windc.la
-	# remove libtool recursive linking mess
-	sed -i "/dependency_libs/ s/'.*'/''/" debian/heimdal-dev/usr/lib/*.la
+	rm -f debian/heimdal-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libss.a
+	rm -f debian/heimdal-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libss.so
 
 binary-post-install/heimdal-multidev::
 	# remove conflicting files
 	rm -rf debian/heimdal-multidev/usr/include/heimdal/ss
 	rm -f debian/heimdal-multidev/usr/include/heimdal/fnmatch.h
 	# remove unwanted files
-	rm -f debian/heimdal-multidev/usr/lib/heimdal/libss.a
-	rm -f debian/heimdal-multidev/usr/lib/heimdal/libss.so
-	rm -f debian/heimdal-multidev/usr/lib/heimdal/windc.so
-	rm -f debian/heimdal-multidev/usr/lib/heimdal/windc.a
-	# rewrite symlinks to symlinks to point directly to file
-	for l in debian/heimdal-multidev/usr/lib/heimdal/*.so; do \
-		ln -s  -f ../`readlink $$l` $$l ; \
+	rm -f debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/libss.a
+	rm -f debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/libss.so
+	rm -f debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/windc.so
+	rm -f debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/windc.a
+	# move library development files into heimdal directory
+	mkdir -p debian/heimdal-multidev/usr/lib/heimdal
+	for l in debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/*.a; do \
+		j=`basename $$l` ; \
+		mv $$l debian/heimdal-multidev/usr/lib/heimdal/$$j ; \
 		done
-
+	for l in debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/*.so; do \
+		j=`basename $$l` ; \
+		link=`readlink $$l`; \
+		rm $$l ; \
+		ln -s ../$(DEB_HOST_MULTIARCH)/$$link debian/heimdal-multidev/usr/lib/heimdal/$$j ; \
+		done
 
 binary-post-install/heimdal-servers::
 	mv debian/heimdal-servers/usr/sbin/kfd debian/heimdal-servers/usr/lib/heimdal-servers
@@ -192,3 +164,10 @@
 	mv debian/heimdal-clients/usr/bin/rsh debian/heimdal-clients/usr/bin/krsh
 	mv debian/heimdal-clients/usr/bin/rcp debian/heimdal-clients/usr/bin/krcp
 	mv debian/heimdal-clients/usr/bin/pagsh debian/heimdal-clients/usr/bin/kpagsh
+	mv debian/heimdal-clients/usr/bin/su debian/heimdal-clients/usr/bin/ksu
+	mv debian/heimdal-clients/usr/share/man/man1/rsh.1 debian/heimdal-clients/usr/share/man/man1/krsh.1
+	mv debian/heimdal-clients/usr/share/man/man1/rcp.1 debian/heimdal-clients/usr/share/man/man1/krcp.1
+	mv debian/heimdal-clients/usr/share/man/man1/pagsh.1 debian/heimdal-clients/usr/share/man/man1/kpagsh.1
+	mv debian/heimdal-clients/usr/share/man/man1/su.1 debian/heimdal-clients/usr/share/man/man1/ksu.1
+
+binary-post-install/heimdal-docs::
